CREATE TABLE fco_ausentismos_historico
(
    compania        char(4) NOT NULL,
    id_ausentismo   int NOT NULL,
    trabajador      char(10) NOT NULL,
    concepto        smallint NOT NULL,
    tipo            number(1) NOT NULL,
    fecha_inicio    date,
    fecha_causacion date,
    fecha_pago      date,
    fecha_fin       date,
    dias            smallint,
    tipo_dias       number(1),
    diagnostico     varchar2(5),
    observaciones   varchar2(1000),
    id_origen       int,
    valor_ibc       number(19, 6),
    calculo_ibc     number(1),
    fecha_ini_real  date,
    fecha_fin_real  date,
    fecha_accidente date,
    nro_incapacidad varchar2(20),
    horas           number(2),
    CONSTRAINT PK_fco_ausentismos_historico PRIMARY KEY
    (compania, id_ausentismo)
    USING INDEX TABLESPACE TS_ADAMINDICES
)
TABLESPACE TS_ADAMDATOS;

CREATE PUBLIC SYNONYM fco_ausentismos_historico FOR ADAM.fco_ausentismos_historico;
GRANT ALL ON fco_ausentismos_historico TO ADAMA;